package ub.scp2.entities;

import java.io.Serializable;

/**
 * Languaje.java -this class is an entity binded to the languaje table from the database
 * 
 *
 */
public class Languaje implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer languajeId;
	private String name;
	private String fileExtension;
	private boolean compiledInterpreted;
	private String compileInstruction;
	private String executorProgram;
	private boolean needNameFile;

	
	
	public Languaje(){
	}

	public Integer getLanguajeId() {
		return languajeId;
	}

	public void setLanguajeId(Integer languajeId) {
		this.languajeId = languajeId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getFileExtension() {
		return fileExtension;
	}

	public void setFileExtension(String fileExtension) {
		this.fileExtension = fileExtension;
	}

	public boolean isCompiledInterpreted() {
		return compiledInterpreted;
	}

	public void setCompiledInterpreted(boolean compiledInterpreted) {
		this.compiledInterpreted = compiledInterpreted;
	}

	public String getCompileInstruction() {
		return compileInstruction;
	}

	public void setCompileInstruction(String compileInstruction) {
		this.compileInstruction = compileInstruction;
	}

	public String getExecutorProgram() {
		return executorProgram;
	}

	public void setExecutorProgram(String executorProgram) {
		this.executorProgram = executorProgram;
	}

	public boolean isNeedNameFile() {
		return needNameFile;
	}

	public void setNeedNameFile(boolean needNameFile) {
		this.needNameFile = needNameFile;
	}


}
